library ieee;
use ieee.std_logic_1164.all;

entity sram_controller is
  
  port (
    signal chipselect : in std_logic;
    signal write, read : in std_logic;
    signal address  :  in std_logic_vector(17 downto 0);
    signal readdata : out std_logic_vector(15 downto 0);
    signal writedata : in std_logic_vector(15 downto 0);
    signal byteenable : in std_logic_vector(1 downto 0);

    signal SRAM_chipselect : out std_logic;
    signal SRAM_write, SRAM_read : out std_logic;
    signal SRAM_address  :  out std_logic_vector(17 downto 0);
    signal SRAM_writedata : out std_logic_vector(15 downto 0);
    signal SRAM_byteenable : out std_logic_vector(1 downto 0)
    );
  
end sram_controller;

architecture dp of sram_controller is
begin

  SRAM_chipselect <= chipselect;
  SRAM_write <= write;
  SRAM_read <= read;
  SRAM_address <= address;
  SRAM_writedata <= writedata;
  SRAM_byteenable <= byteenable;
end dp;
